### Name: convertFromDevicePixels
### Title: Utilities for working with grobs and viewports in device
###   coordinates.
### Aliases: convertFromDevicePixels convertToDevicePixels inViewport
###   grobBBDevicePixels showGrobsBB
### Keywords: dplot iplot

### ** Examples

print(xyplot(1:10 ~ 1:10 | c("a", "b")))

vpname <- trellis.vpname("panel", 1, 1)
downViewport(vpname)

convertToDevicePixels(x = 5:10, y = 5:10)
convertToDevicePixels(unit(0, "npc"), unit(0, "npc"))
convertFromDevicePixels(x = 100, y = 100)

inViewport(x = 100, y = 100, vpname)
inViewport(x = c(0, 100), y = c(0, 100), vpname)

myGrob <- grid.circle(r = 0.3, name = "myCircle")
grobBBDevicePixels(myGrob, vpname)

str(showGrobsBB(draw = TRUE))



